Skip to main content
Contact / Job Titles

Update an existing contact job title

This method requires the Contacts:Update permission to be associated with your role.

PUT
/fm/contact/job-titles/{contact_job_title_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_job_title_idstringrequired

Contact Id to update

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON Payload

descriptionstringdefault:null
Example: Job Title
status_flagenum<string>default:active
Available options: active, inactive
Example: active

Response

application/vnd.catch-e-api.v1+json

Success

contact_job_title_idstring
Example: 1234567890123456789
descriptionstring
Example: Job Title
status_flagenum<string>
Available options: active, inactive
Example: active